Get Expense Report
curl --request GET \
--url https://api.spirii.com/reimbursement/v1/expense-reports/{reportId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.spirii.com/reimbursement/v1/expense-reports/{reportId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.spirii.com/reimbursement/v1/expense-reports/{reportId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"expenses": [
{
"amountInCents": 123,
"consumptionInWattHours": 123,
"currency": "EUR",
"IBAN": "DK9520000123456789",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recipientName": "John Doe",
"recipientCrmId": 123456,
"reportStatus": "Active",
"authIdTag": {
"uid": "<string>",
"label": "<string>",
"billingReference": "<string>"
},
"paymentStatus": "Awaiting funds",
"period": {
"year": 2026,
"monthIndex": 0
},
"recipientExternalId": "testExternalId"
}
],
"report": {
"companyName": "Example Company Inc.",
"id": 42,
"period": {
"year": 2026,
"monthIndex": 0
},
"status": "Active",
"totalAmountInCents": 123,
"totalConsumptionInWattHours": 123,
"currency": "EUR",
"emailAddressList": [
"manager1@email.com",
"manager2@email.com"
],
"invalidInformation": {
"awaitingExpenseReportList": [
123
],
"companyCustomer": {
"customerCrmId": "<string>",
"name": "<string>",
"invalidFields": [
"<string>"
]
},
"supplierCustomer": {
"customerCrmId": "<string>",
"name": "<string>",
"invalidFields": [
"<string>"
]
},
"invalidBeneficiary": {
"customerCrmId": "<string>",
"expenseIds": [
"<string>"
]
},
"kycNotPassed": true,
"missingReimbursementRates": [
{
"locationId": 123,
"locationName": "<string>",
"cdrEndDates": [
"2023-11-07T05:31:56Z"
]
}
],
"recipientList": [
{
"customerCrmId": "<string>",
"name": "<string>",
"invalidFields": [
"<string>"
]
}
]
}
}
}{
"type": "about:blank",
"title": "Bad Request",
"status": 400,
"detail": "Invalid request body",
"instance": "/v1/uri-called/",
"errors": [
"currentPage must be a positive integer"
]
}Get Expense Report
GET
/
v1
/
expense-reports
/
{reportId}
Get Expense Report
Authorizations
Authorization via a JWT bearer token.
Path Parameters
Unique identifier of the Expense Report.
Example:
42
Was this page helpful?